### Function

# Ide VcsMonitor from_context

#### Declaration

    IdeVcsMonitor*
    ide_vcs_monitor_from_context (
      IdeContext* context
    )

#### Description

Gets the `IdeVcsMonitor` for a context.

Available since: | 3.32

#### Parameters

`context` | `IdeContext`
| An `IdeContext`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeVcsMonitor`
| An `IdeVcsMonitor`.
| The data is owned by the called function.
| The return value can be `NULL`.